3.5.4 Release Notes

3.5.4 Change Notes #

Security Updates #

  • YEL-3269 / YEL-3325: Updated Spring Framework dependencies (bug fixes and CVE-2018-15756)
  • YEL-3294: Removed echoing back of username on failed login attempts.
  • YEL-3324: CVE-2018-10237: Guava Library v22.0 has a reported vulnerability.
  • YEL-3342: Jackson DataBind library update (CVE-2018-14718, CVE-2018-14721, CVE-2018-19360, CVE-2018-19361, CVE-2018-19362).

New Features #

  • YEL-3148: Preserved content folder structure on partial restore (improved parent path resolution). Also provided a new feature “Update page locations” on partial restore.
  • YEL-3307: Reduce visibility of underlying errors when displaying failures to non-admin users. Only administrators should see information about feed type or transform type errors. Client is given a messageId that can be given to an administrator to identify more detailed error in the log. Admin users will still be presented with detailed errors.

Resolved Issues #

  • YEL-3255: Fixed issue where some login page resource requests were failing due to unauthenticated sessions.
  • YEL-3256: Fixed systemd service installation configurations to work on newer versions of Ubuntu.
  • YEL-3257: Fixed proxied content not displayed on switch between “view” and “edit” modes.
  • YEL-3258: Fixed edgeWeb content display need to refresh browser after entering credentials.
  • YEL-3260: Fixed partial restore to trigger full reset when it contains java libraries.
  • YEL-3260: Fixed module packaging to allow modules to extend other abstract Connection Types, such as JDBC URL connections. Resolves issue where customer property files were used to register additional JDBC Connection types, but those entries were lost on upgrade to a new server installation.
  • YEL-3264: Fixed Oracle JDBC URL Connections not processing dates properly (set time zone to UTC for proper date retrievals).
  • YEL-3275: Fixed full restore from web client resulting in 500 Server Unavailable temporary message; restore works but the client is forced to refresh the browser.
  • YEL-3276: Fixed client memory leak in Topology Visualization.
  • YEL-3278: Fixed issue on editing a page (manage layout), in which the page gets moved in the top level menu order.
  • YEL-3287: Fixed issue where adapter installations containing a content bundle should be upgraded on install.
  • YEL-3288: Fixed issue where LogicMonitor Rest Adapter fails to load due to AppDef type lookup.
  • YEL-3289: Fixed missing message translation: ‘Pipeline.TabularDataProducerTestError’.
  • YEL-3301: Improved restore process to ignore JSON data files from processing.
  • YEL-3302: Allowed server jobs to be disabled in development environments (data.disableServerJobs=true in custom.properties).
  • YEL-3318: Fixed a regression where the administrator could no longer create Overlay Map Layers.
  • YEL-3321: Performance / stability improvement applied to internal database used for transforms and cached data results. Resolved issues where customers reported database lock timeouts.
  • YEL-3323: Updated PublishJob timeouts to be configurable.
  • YEL-3330: Fixed regression where edge.log no longer reported performance metrics.
  • YEL-3332: Fixed truncated WebSocket proxy messages where large responses were broken up into multiple responses.
  • YEL-3333: Fixed issue where Partial Backup of page was not including actions called from advanced usage of server side JavaScript Action configurations.
  • YEL-3334: Fixed DB2 database adapter connection configuration.
  • YEL-3336: Cleaned up additional ‘es_testmode=true‘ Secured Variables from being applied to Feeds and Transforms run from the Pipeline Test / Configuration steps.

Known Issues #

  • Pages with directly or indirectly re-parented visualizations can result in an error condition in page(s) where the Visualization already has been placed. The only way to recover is to remove the Visualization from the affected pages and re-add it. Any actions/filters/options would have to be recreated. This release contains an update to prevent getting into this condition, but it does not resolve it when this error state is already present. An additional update is planned for the next release to help correct pages where invalid mappings were caused by re-parented visualizations.

Compatibility Issues #

  • Gauge Visualization: Thresholds and Comparative Value are no longer supported. Specifically, Linear Gauge from a pre-v3.5 system is not compatible with current Linear Horizontal Gauge. Any older Linear Gauge Visualizations should be reviewed when you are upgrading to v3.5 or higher. They might have to be manually converted to the new Bullet Chart.